dbXML API

## org.dbxml.core.objects
Class MapArgs

    java.lang.Object
      |
      +--org.dbxml.core.objects.MapArgs

All Implemented Interfaces:
  Args

public final class MapArgs
extends java.lang.Object
implements Args

MapArgs

Constructor Summary
`MapArgs(java.util.Map map)`

Method Summary
`Variant` `get(java.lang.String name)` get returns a Variant argument by name, or null of the argumnet doesn't exist.
`java.lang.String[]` `list()` list returns a String array containing the names of the arguments being stored by the args instance.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapArgs

    public MapArgs(java.util.Map map)

Method Detail

### list

    public java.lang.String[] list()

  Description copied from interface: `Args`
  list returns a String array containing the names of the arguments being stored by the args instance.
  Specified by:
    `list` in interface `Args`
  Following copied from interface: `org.dbxml.core.objects.Args`
  Returns:
    The argument names

### get

    public Variant get(java.lang.String name)

  Description copied from interface: `Args`
  get returns a Variant argument by name, or null of the argumnet doesn't exist.
  Specified by:
    `get` in interface `Args`
  Following copied from interface: `org.dbxml.core.objects.Args`
  Parameters:
    `name` - The argument name
  Returns:
    The argument value

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved